local L = AceLibrary("AceLocale-2.2"):new("CCBreaker")

--[[
Explanation:
	[spell] : name of the broken spell
	[target] : name of the target the spell was on
	[breaker] : name of the person removing the spell
	[ability] : name of the ability breaking the spell
]]--

L:RegisterTranslations("enUS", function() return {
	["[spell] on [target] was removed by [breaker]"] = true,
	["[spell] on [target] was removed by [breaker]"]= true,
	["[spell] on [target] was removed by [breaker]'s [ability]"] = true,
	["[spell] on [target] was removed by [breaker]'s [ability]"]= true,
	["[spell] on [target] was removed"] = true,
	["[spell] on [target] was removed"]= true,
	["ability"] = true,
	["ability"]= true,
	["breaker"] = true,
	["breaker"]= true,
	["center"] = true,
	["Change the displayed text, leave blank for default"] = true,
	["Chose color to use"] = true,
	["class"] = true,
	["Color messages"] = true,
	["color text"] = true,
	["color"] = true,
	["config"] = true,
	["console"] = true,
	["debug"] = true,
	["Display ability breaking the CC"] = true,
	["Display broken spell"] = true,
	["Display centered messages"] = true,
	["Display console messages"] = true,
	["Display freed target"] = true,
	["Display options for centered messages"] = true,
	["Display options in console"] = true,
	["Display options in Fubar"] = true,
	["Display options"] = true,
	["Display who broke CC"] = true,
	["display"] = true,
	["druid"] = true,
	["Enable debug messages"] = true,
	["enable"] = true,
	["Filter for classes"] = true,
	["Filter for raid roles"] = true,
	["Filter for unit types"] = true,
	["Filter Options"] = true,
	["filter"] = true,
	["four"] = true,
	["fubar"] = true,
	["hunter"] = true,
	["mage"] = true,
	["mainassist"] = true,
	["maintank"] = true,
	["Open config in a Waterall window"] = true,
	["others"] = true,
	["paladin"] = true,
	["party pet"] = true,
	["party"] = true,
	["pet"] = true,
	["player"] = true,
	["priest"] = true,
	["raid pet"] = true,
	["raid"] = true,
	["Report CC breaks from those only"] = true,
	["Report CC breaks of effects"] = true,
	["Report CC breaks to those targets only"] = true,
	["Reset breaker data"] = true,
	["reset"] = true,
	["rogue"] = true,
	["role"] = true,
	["shaman"] = true,
	["Show break from druids"] = true,
	["Show break from hunters"] = true,
	["Show break from mages"] = true,
	["Show break from mainassists"] = true,
	["Show break from maintanks"] = true,
	["Show break from others"] = true,
	["Show break from paladins"] = true,
	["Show break from party members"] = true,
	["Show break from party pets"] = true,
	["Show break from player"] = true,
	["Show break from priests"] = true,
	["Show break from raid members"] = true,
	["Show break from raid pets"] = true,
	["Show break from rogues"] = true,
	["Show break from shamans"] = true,
	["Show break from warlocks"] = true,
	["Show break from warriors"] = true,
	["Show break from your pet"] = true,
	["Show break of [spell]"] = true,
	["Show break on druids"] = true,
	["Show break on hunters"] = true,
	["Show break on mages"] = true,
	["Show break on mainassists"] = true,
	["Show break on maintanks"] = true,
	["Show break on others"] = true,
	["Show break on paladins"] = true,
	["Show break on party members"] = true,
	["Show break on party pets"] = true,
	["Show break on player"] = true,
	["Show break on priests"] = true,
	["Show break on raid members"] = true,
	["Show break on raid pets"] = true,
	["Show break on rogues"] = true,
	["Show break on shamans"] = true,
	["Show break on warlocks"] = true,
	["Show break on warriors"] = true,
	["Show break on your pet"] = true,
	["show effects"] = true,
	["show from"] = true,
	["show on"] = true,
	["Slash-Commands"] = true,
	["Slash-Commands"] = { "/ccbreaker", "/ccb" },	["spell"] = true,
	["spell"]= true,
	["target"] = true,
	["target"]= true,
	["text if only spell an target are given"] = true,
	["text if only spell, target and breaker are given"] = true,
	["text if spell, target, breaker and ability are given"] = true,
	["text"] = true,
	["three"] = true,
	["two"] = true,
	["unit"] = true,
	["warlock"] = true,
	["warrior"] = true,
} end)
